Overview | Modules | Class Hierarchy | Classes | Members

# Vector.h File Reference

`#include <cassert>`
`#include <tulip/Array.h>`
`#include "./cxx/Vector.cxx"`

Include dependency graph for Vector.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

- namespace tlp

## Classes

- class tlp::Vector
    class for mathematical vector More...

## Defines

- #define VECTOR Vector<TYPE,SIZE>
- #define TEMPLATEVECTOR template <typename TYPE, unsigned int SIZE>

## Typedefs

- typedef Vector< double, 2 > tlp::Vec2d
    typedef for 2D vector of double
- typedef Vector< double, 3 > tlp::Vec3d
    typedef for 3D vector of double
- typedef Vector< double, 4 > tlp::Vec4d
    typedef for 4D vector of double
- typedef Vector< float, 2 > tlp::Vec2f
    typedef for 2D vector of float
- typedef Vector< float, 3 > tlp::Vec3f
    typedef for 3D vector of float
- typedef Vector< float, 4 > tlp::Vec4f
    typedef for 4D vector of float

## Functions

- TEMPLATEVECTOR VECTOR tlp::minVector (const VECTOR &u, const VECTOR &v)
- TEMPLATEVECTOR VECTOR tlp::maxVector (const VECTOR &u, const VECTOR &v)
- TEMPLATEVECTOR VECTOR tlp::operator * (const VECTOR &, const VECTOR &)
- TEMPLATEVECTOR VECTOR tlp::operator * (const TYPE &, const VECTOR &)
- TEMPLATEVECTOR VECTOR tlp::operator * (const VECTOR &, const TYPE &)
- TEMPLATEVECTOR VECTOR tlp::operator+ (const VECTOR &, const VECTOR &)
- TEMPLATEVECTOR VECTOR tlp::operator+ (const VECTOR &, const TYPE &)
- TEMPLATEVECTOR VECTOR tlp::operator- (const VECTOR &, const VECTOR &)
- TEMPLATEVECTOR VECTOR tlp::operator- (const VECTOR &, const TYPE &)
- TEMPLATEVECTOR VECTOR tlp::operator/ (const VECTOR &, const VECTOR &)
- TEMPLATEVECTOR VECTOR tlp::operator/ (const VECTOR &, const TYPE &)
- TEMPLATEVECTOR VECTOR tlp::operator^ (const VECTOR &, const VECTOR &)
- TEMPLATEVECTOR VECTOR tlp::operator- (const VECTOR &)

## Define Documentation

#define TEMPLATEVECTOR template <typename TYPE, unsigned int SIZE>

#define VECTOR Vector<TYPE,SIZE>

This file is part of Tulip (www.tulip-software.org)

Authors: David Auber and the Tulip development Team from LaBRI, University of Bordeaux 1 and Inria Bordeaux - Sud Ouest

Tulip is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Tulip is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

Tulip Software by LaBRI Visualization Team 2001 - 2010